<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_10_addcontent() */
/* タブのスラグ haumenu_define_tab_slug_10_addcontent() */
/* $option_name 設定名 haumenu_define_option_name_10_addcontent() */
/* get_option GetOP10_addcontent() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_10_addcontent( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_addcontent';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_10_addcontent();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'show-cookie-consent' => array(
			'.cookie-consent-width-fit-wrapper', //サイト幅に合わせる
			'.is-enable-test-mode-wrapper', // テストモード
			'.gdpr-cookie-alt-text-wrapper', // Cookie使用の代替文章
			'.gdpr-show-get-input-info-wrapper', // フォーム入力時の情報収集についての文章を表示するか
			'.gdpr-input-form-alt-text-wrapper', // フォーム入力時の情報収集についての代替文章
			'.gdpr-show-provision-to-third-parties-wrapper', // アクセス解析や広告への情報提供についての文章を表示するか
			'.gdpr-input-ad-ana-alt-text-wrapper', // アクセス解析や広告への情報提供の代替文章
			'.gdpr-show-close-button-wrapper', // 「閉じる」ボタンを表示するか
			'.gdpr-bg-color-wrapper', // 背景色
			'.gdpr-bg-transparency-wrapper', // 背景の不透明度
			'.gdpr-text-color-wrapper', // 文字色・リンク色
			'.gdpr-button-color-wrapper', // ボタンの背景色
			'.gdpr-button-border-color-wrapper', // ボタンの枠線色
			'.gdpr-button-text-color-wrapper', // ボタンの文字色
			'.gdpr-button-color-hover-wrapper', // ホーバー時のボタンの背景色
			'.gdpr-button-border-color-hover-wrapper', // ホーバー時のボタンの枠線色
			'.gdpr-button-text-color-hover-wrapper', // ホーバー時のボタンの文字色
			'.gdpr-close-button-color-wrapper', // 「閉じる」ボタンの背景色
			'.gdpr-close-button-text-color-wrapper', // 「閉じる」ボタンの文字色
			'.gdpr-close-button-color-hover-wrapper', // ホーバー時の「閉じる」ボタンの背景色
			'.gdpr-close-button-text-color-hover-wrapper', // ホーバー時の「閉じる」ボタンの文字色
		),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_10_addcontent', 20 );

/*** Cookie Consentコンテンツを表示するか ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_show_cookie_consent_content(){
//項目の追加
	add_settings_field(
		'show-cookie-consent', // 設定名
		__('Show Cookie Consent','hima-art-utility'), // 設定タイトル
		'haumenu_is_show_cookie_consent_content', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_show_cookie_consent_content' );

/* 入力フォーム */
function haumenu_is_show_cookie_consent_content() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'show-cookie-consent'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enable to output content','hima-art-utility'); ?></p>
</label>
<?php
}

/*** ユニットをコンテンツ幅に合わせる ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_cookie_consent_width_fit(){
//項目の追加
	add_settings_field(
		'cookie-consent-width-fit', // 設定名
		__('Fit to site width','hima-art-utility'), // 設定タイトル
		'haumenu_cookie_consent_width_fit', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cookie_consent_width_fit' );

/* 入力フォーム */
function haumenu_cookie_consent_width_fit() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cookie-consent-width-fit'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="cookie-consent-width-fit-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<p><?php esc_html_e('Fits content and Close button to site width','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk haup-admin-font-red"><?php esc_html_e('The screen width is automatically calculated from the width specified in the wide global style or the wideSize value in theme.json, so it only works properly with block themes.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** テストモード ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_enable_test_mode(){
//項目の追加
	add_settings_field(
		'is-enable-test-mode', // 設定名
		__('Enable Test Mode','hima-art-utility'), // 設定タイトル
		'haumenu_is_enable_test_mode', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_enable_test_mode' );

/* 入力フォーム */
function haumenu_is_enable_test_mode() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'is-enable-test-mode'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="is-enable-test-mode-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Disable the cookie that is added when you press the "I have read and accepted" button so that the consent content is always displayed. Enable it when you want to display it all the time, such as for testing.','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** Cookie使用の代替文章 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_cookie_alt_text(){
//項目の追加
	add_settings_field(
		'gdpr-cookie-alt-text', // 設定名
		__('Cookie Alt Text','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_cookie_alt_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_cookie_alt_text' );

/* 入力フォーム */
function haumenu_gdpr_cookie_alt_text() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'gdpr-cookie-alt-text'; //個別配列名
?>
<div class="gdpr-cookie-alt-text-wrapper">
<label>
	<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo esc_attr( $options[ $option_name ] ?? '' ); ?></textarea>
	<p><?php esc_html_e('If you want to change the guidance character string for cookie use, enter it below','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('If there is no input, you will see "This site uses cookies to improve the convenience of the site."','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('This article will be displayed on both desktop and mobile','hima-art-utility'); ?></p>
</div>
<?php
}

/*** フォーム入力時の情報収集についての文章を表示するか ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_is_show_get_input_info(){
//項目の追加
	add_settings_field(
		'gdpr-show-get-input-info', // 設定名
		__('Indication about information collection','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_is_show_get_input_info', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_is_show_get_input_info' );

/* 入力フォーム */
function haumenu_gdpr_is_show_get_input_info() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-show-get-input-info'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="gdpr-show-get-input-info-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('This is a setting for whether to display the character string "Various information may be saved at the same time as the content entered from the form". It is recommended to display it on sites with comments and input forms.','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** フォーム入力時の情報収集についての代替文章 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_input_form_alt_text(){
//項目の追加
	add_settings_field(
		'gdpr-input-form-alt-text', // 設定名
		__('Information collection Alt Text','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_input_form_alt_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_input_form_alt_text' );

/* 入力フォーム */
function haumenu_gdpr_input_form_alt_text() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'gdpr-input-form-alt-text'; //個別配列名
?>
<div class="gdpr-input-form-alt-text-wrapper">
<label>
	<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo esc_attr( $options[ $option_name ] ?? '' ); ?></textarea>
	<p><?php esc_html_e('If you want to change the guidance string for collecting information, enter it below','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('If there is no input, it will be displayed that "Various information may be saved at the same time as the content entered from the form"','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('This sentence is displayed only on a personal computer due to the display space.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** アクセス解析や広告への情報提供についての文章を表示するか ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_show_provision_to_third_parties(){
//項目の追加
	add_settings_field(
		'gdpr-show-provision-to-third-parties', // 設定名
		__('Display the text of providing information to third parties','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_show_provision_to_third_parties', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_show_provision_to_third_parties' );

/* 入力フォーム */
function haumenu_gdpr_show_provision_to_third_parties() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-show-provision-to-third-parties'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="gdpr-show-provision-to-third-parties-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<p><?php esc_html_e('This is a setting for whether to display the character string "In addition, some information may be provided to external services in order to analyze access and display advertisements." We recommend displaying this when using an external access analysis tool or a service that requires information to be provided for the optimization of ad display.','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/*** アクセス解析や広告への情報提供の代替文章 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_input_ad_ana_alt_text(){
//項目の追加
	add_settings_field(
		'gdpr-input-ad-ana-alt-text', // 設定名
		__('Providing information to third parties Alt Text','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_input_ad_ana_alt_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_input_ad_ana_alt_text' );

/* 入力フォーム */
function haumenu_gdpr_input_ad_ana_alt_text() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'gdpr-input-ad-ana-alt-text'; //個別配列名
?>
<div class="gdpr-input-ad-ana-alt-text-wrapper">
<label>
	<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo esc_attr( $options[ $option_name ] ?? '' ); ?></textarea>
	<p><?php esc_html_e('If you want to change the guide string for providing data to external services, enter it below','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('If there is no input, the message "In addition, we may provide some information to external services for access analysis and advertisement display" will be displayed.','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('This sentence is displayed only on a personal computer due to the display space.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 「閉じる」ボタンを表示するか ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_show_close_button(){
//項目の追加
	add_settings_field(
		'gdpr-show-close-button', // 設定名
		__('Show "Close" button','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_show_close_button', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_show_close_button' );

/* 入力フォーム */
function haumenu_gdpr_show_close_button() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-show-close-button'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="gdpr-show-close-button-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enable to display the "Close" button on the upper left of the content','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('A button will be displayed on the upper left of the content that allows you to temporarily close the guidance screen even if you do not agree.','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('If the visitor clicks the "close" button, the content will be hidden on that page, but will be redisplayed when the visitor transitions to another page.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_bg_color(){
//項目の追加
	add_settings_field(
		'gdpr-bg-color', // 設定名
		__('Background Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_bg_color' );

/* 入力フォーム */
function haumenu_gdpr_bg_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-bg-color'; //個別配列名
?>
<div class="gdpr-bg-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#000000" data-default-color="#000000">
</label>
<p><?php esc_html_e('Select the background color of the content (default is #000000)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 背景の不透明度 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_bg_transparency(){
//項目の追加
	add_settings_field(
		'gdpr-bg-transparency', // 設定名
		__('background opacity','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_bg_transparency', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_bg_transparency' );

/* 入力フォーム */
function haumenu_gdpr_bg_transparency() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'gdpr-bg-transparency'; //個別配列名
?>
<div class="gdpr-bg-transparency-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" maxlength="3" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Specify the opacity of the content background color as a percentage Example: 90=90%','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('*The lower the value, the higher the transparency (default is 90%)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 文字色・リンク色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_text_color(){
//項目の追加
	add_settings_field(
		'gdpr-text-color', // 設定名
		__('Text and Link Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_text_color' );

/* 入力フォーム */
function haumenu_gdpr_text_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-text-color'; //個別配列名
?>
<div class="gdpr-text-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Select the text color of the content (default is #ffffff)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ボタンの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_button_color(){
//項目の追加
	add_settings_field(
		'gdpr-button-color', // 設定名
		__('Button Background Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_button_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_button_color' );

/* 入力フォーム */
function haumenu_gdpr_button_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-button-color'; //個別配列名
?>
<div class="gdpr-button-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#555555" data-default-color="#555555">
</label>
<p><?php esc_html_e('Select the background color of the button (default is #555555)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ボタンの枠線色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_button_border_color(){
//項目の追加
	add_settings_field(
		'gdpr-button-border-color', // 設定名
		__('Button Border Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_button_border_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_button_border_color' );

/* 入力フォーム */
function haumenu_gdpr_button_border_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-button-border-color'; //個別配列名
?>
<div class="gdpr-button-border-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Select the border color of the button (default is #ffffff)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ボタンの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_button_text_color(){
//項目の追加
	add_settings_field(
		'gdpr-button-text-color', // 設定名
		__('Button Text Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_button_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_button_text_color' );

/* 入力フォーム */
function haumenu_gdpr_button_text_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-button-text-color'; //個別配列名
?>
<div class="gdpr-button-text-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Select the text color of the button (default is #ffffff)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ホーバー時のボタンの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_button_color_hover(){
//項目の追加
	add_settings_field(
		'gdpr-button-color-hover', // 設定名
		__('Button Background Color on Hover','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_button_color_hover', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_button_color_hover' );

/* 入力フォーム */
function haumenu_gdpr_button_color_hover() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-button-color-hover'; //個別配列名
?>
<div class="gdpr-button-color-hover-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#000000" data-default-color="#000000">
</label>
<p><?php esc_html_e('Select the background color of the button on hover (default is #000000)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ホーバー時のボタンの枠線色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_button_border_color_hover(){
//項目の追加
	add_settings_field(
		'gdpr-button-border-color-hover', // 設定名
		__('Button Border Color on Hover','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_button_border_color_hover', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_button_border_color_hover' );

/* 入力フォーム */
function haumenu_gdpr_button_border_color_hover() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-button-border-color-hover'; //個別配列名
?>
<div class="gdpr-button-border-color-hover-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Select the border color of the button on hover(default is #ffffff)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ホーバー時のボタンの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_button_text_color_hover(){
//項目の追加
	add_settings_field(
		'gdpr-button-text-color-hover', // 設定名
		__('Button Text Color on Hover','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_button_text_color_hover', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_button_text_color_hover' );

/* 入力フォーム */
function haumenu_gdpr_button_text_color_hover() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-button-text-color-hover'; //個別配列名
?>
<div class="gdpr-button-text-color-hover-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Select the text color of the button on hover(default is #ffffff)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 「閉じる」ボタンの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_close_button_color(){
//項目の追加
	add_settings_field(
		'gdpr-close-button-color', // 設定名
		__('"Close" Button Background Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_close_button_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_gdpr_close_button_color' );

/* 入力フォーム */
function haumenu_gdpr_close_button_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-close-button-color'; //個別配列名
?>
<div class="gdpr-close-button-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#eee" data-default-color="#eee">
</label>
<p><?php esc_html_e('Select the background color of the "Close" button (default is #eee)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 「閉じる」ボタンの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_close_button_text_color(){
//項目の追加
	add_settings_field(
		'gdpr-close-button-text-color', // 設定名
		__('"Close" Button Text Color','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_close_button_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_close_button_text_color' );

/* 入力フォーム */
function haumenu_gdpr_close_button_text_color() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-close-button-text-color'; //個別配列名
?>
<div class="gdpr-close-button-text-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#000000" data-default-color="#000000">
</label>
<p><?php esc_html_e('Select the text color of the "Close" button (default is #000000)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ホーバー時の「閉じる」ボタンの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_close_button_color_hover(){
//項目の追加
	add_settings_field(
		'gdpr-close-button-color-hover', // 設定名
		__('"Close" Button Background Color on hover','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_close_button_color_hover', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_close_button_color_hover' );

/* 入力フォーム */
function haumenu_gdpr_close_button_color_hover() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-close-button-color-hover'; //個別配列名
?>
<div class="gdpr-close-button-color-hover-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#000000" data-default-color="#000000">
</label>
<p><?php esc_html_e('Select the background color of the "Close" button on hover (default is #000000)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ホーバー時の「閉じる」ボタンの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gdpr_close_button_text_color_hover(){
//項目の追加
	add_settings_field(
		'gdpr-close-button-text-color-hover', // 設定名
		__('"Close" Button Text Color on hover','hima-art-utility'), // 設定タイトル
		'haumenu_gdpr_close_button_text_color_hover', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_10_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_10_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gdpr_close_button_text_color_hover' );

/* 入力フォーム */
function haumenu_gdpr_close_button_text_color_hover() {
	$set_name = haumenu_define_option_name_10_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gdpr-close-button-text-color-hover'; //個別配列名
?>
<div class="gdpr-close-button-text-color-hover-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Select the text color of the "Close" button on hover (default is #ffffff)','hima-art-utility'); ?></p>
</div>
<?php
}